create-campaign-event-export
curl --request POST \
--url https://api.notifly.tech/projects/{projectId}/campaign-event-data/exports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start": "2025-06-01T00:00:00.000Z",
"end": "2025-06-07T23:59:59.999Z",
"isMessageDataIncluded": true
}
'import requests
url = "https://api.notifly.tech/projects/{projectId}/campaign-event-data/exports"
payload = {
"start": "2025-06-01T00:00:00.000Z",
"end": "2025-06-07T23:59:59.999Z",
"isMessageDataIncluded": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start: '2025-06-01T00:00:00.000Z',
end: '2025-06-07T23:59:59.999Z',
isMessageDataIncluded: true
})
};
fetch('https://api.notifly.tech/projects/{projectId}/campaign-event-data/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"export_id": "xyz123"
}{
"error": "InvalidRequest",
"message": "..."
}{
"error": "Unauthorized"
}{
"error": "InternalServerError",
"message": "..."
}메시지 이벤트 데이터 내보내기
캠페인 이벤트 데이터 내보내기 요청
캠페인/유저 여정 이벤트 데이터를 비동기적으로 추출 요청합니다. Response로 받은 export_id를 사용하여 요청 결과를 조회할 수 있습니다.
POST
/
projects
/
{projectId}
/
campaign-event-data
/
exports
create-campaign-event-export
유료 API이 요청은 요청 데이터당 과금이 되는 유료 API입니다. 가격은 노티플라이에 문의해주세요.
인증
POST /authenticate로 발급받은 인증 토큰을 Bearer 형식으로 전달합니다.
경로 매개변수
프로젝트 ID
본문
application/json
응답
Export 요청 성공입니다
Export 작업 ID
⌘I
